// -----------------------------------------------------------------------------
// Hey all, Fav here!
// -----------------------------------------------------------------------------

freeslot("SPR_E_01", "sfx_elimgh", "sfx_favgho", "S_BDD_GAMEMAKER", "sfx_fhgmex")
states[S_BDD_GAMEMAKER] = {
	sprite = SPR_E_01,
	frame = FF_ANIMATE|H,
	tics = 32,
	var1 = 15,
	var2 = 2,
	nextstate = S_NULL
}


-- fade in function
local function FadeMeInScotty(p, obj)	
	if p.Fav_EliminationTransition == TICRATE/2
		obj.frame = $|FF_TRANS90|FF_FULLBRIGHT
	elseif p.Fav_EliminationTransition >= 12 and p.Fav_EliminationTransition < TICRATE/2
		obj.frame = $|FF_TRANS70|FF_FULLBRIGHT
	elseif p.Fav_EliminationTransition >= 7 and p.Fav_EliminationTransition < 12
		obj.frame = $|FF_TRANS40|FF_FULLBRIGHT
	elseif p.Fav_EliminationTransition >= 4 and p.Fav_EliminationTransition < 7
		obj.frame = $|FF_TRANS20|FF_FULLBRIGHT
	elseif p.Fav_EliminationTransition >= 1 and p.Fav_EliminationTransition < 4
		obj.frame = $|FF_TRANS10|FF_FULLBRIGHT
	elseif p.Fav_EliminationTransition == 0
		if obj.frame == A or obj.frame == B -- its a bit hard to see with them in the way.
			obj.frame = $|FF_TRANS20|FF_FULLBRIGHT
		else
			obj.frame = $|FF_FULLBRIGHT
		end
	end
end

--Put this into a thinkframe
local function EliminationRingEffect(p)	
	// double check this runs when you START to have the fx.
	if p.Fav_EliminationFXStartup == nil then p.Fav_EliminationFXStartup = false end
	
	//the timer for the fade-in
	if p.Fav_EliminationTransition == nil then p.Fav_EliminationTransition = 0 end
	if p.Fav_EliminationTransition != 0 then p.Fav_EliminationTransition = $-1 end
	
	local ghostdist = FRACUNIT*bdd.gametimer
	if (bdd.overtime) then ghostdist = FRACUNIT*bdd.overtimer end
	if (bdd.duelmode) then ghostdist = FRACUNIT*p.bdddueltime end
	if ghostdist >= 300*FRACUNIT then ghostdist = 300*FRACUNIT end
	p.Fav_Ghostdist = ghostdist
	
	local rotspeed = FixedAngle((leveltime)*FRACUNIT)
	if (bdd.overtime) then rotspeed = FixedAngle((leveltime)*FRACUNIT*2) end
	//if bdd.gametimer < 10*TICRATE then rotspeed = FixedAngle((leveltime)*FRACUNIT*bdd.warningspeedup) end
	
	if p.indanger and not p.mo.hitlag
		if not p.Fav_EliminationFXStartup then 
			if bdd.oldjackpot == 999
				S_StartSound(p.mo, sfx_favgho)
				for i = 1,8
					local FavsThok = P_SpawnMobjFromMobj(p.mo, P_ReturnThrustX(nil,rotspeed+(ANGLE_45*i),ghostdist/2), P_ReturnThrustY(nil,rotspeed+(ANGLE_45*i),ghostdist/2), 0, MT_THOK)
					FavsThok.momx = p.mo.momx
					FavsThok.momy = p.mo.momy
					FavsThok.momz = p.mo.momz
					FavsThok.state = S_WIPEOUTTRAIL1
					FavsThok.scale = $*2
				end
			else
				p.Fav_EliminationTransition = TICRATE/2
				S_StartSound(p.mo, sfx_elimgh)
			end
		end
		//WARNING SIGNS
		for i = 1,8
			local FavsThok = P_SpawnMobjFromMobj(p.mo, P_ReturnThrustX(nil,rotspeed+(ANGLE_45*i),ghostdist/2), P_ReturnThrustY(nil,rotspeed+(ANGLE_45*i),ghostdist/2), 0, MT_THOK)
			FavsThok.momx = p.mo.momx
			FavsThok.momy = p.mo.momy
			FavsThok.momz = p.mo.momz
			FavsThok.z = $ + P_MobjFlip(FavsThok)*p.Fav_EliminationTransition*FavsThok.scale*2
			FavsThok.sprite = SPR_E_01
			
			if bdd.oldjackpot == 999
				FavsThok.frame = G -- welcome to FUNny mode
				FavsThok.angle = R_PointToAngle2(FavsThok.x, FavsThok.y, p.mo.x, p.mo.y)
				if p.mo.skin == "fav"
					FavsThok.color = SKINCOLOR_PLATINUM
					FavsThok.colorized = true
				else
					if (bdd.overtime == true)
						FavsThok.color = (SKINCOLOR_PINK + (leveltime % (SKINCOLOR_TAFFY - SKINCOLOR_PINK)))
						FavsThok.colorized = true
					else
						FavsThok.color = SKINCOLOR_GOLD
					end
				end
			else
				FavsThok.frame = D
				//fade in
				FadeMeInScotty(p, FavsThok)
			end
			
			FavsThok.fuse = 1
		end
		
		//GHOSTS
		if bdd.oldjackpot != 999
			for i = 1,4
				local angler = ANGLE_90
				if (bdd.overtime == true) then angler = ANGLE_180 end -- shhhh dont tell aqua this is secretly still 4 ghosts
				
				local FavsThok = P_SpawnMobjFromMobj(p.mo, P_ReturnThrustX(nil,(angler*i) - FixedAngle((leveltime%359)*FRACUNIT),ghostdist+(25*FRACUNIT)), P_ReturnThrustY(nil,(angler*i) - FixedAngle((leveltime%359)*FRACUNIT),ghostdist+(25*FRACUNIT)), 9*cos(ANG10*leveltime), MT_THOK)
				FavsThok.momx = p.mo.momx
				FavsThok.momy = p.mo.momy
				FavsThok.momz = p.mo.momz
				FavsThok.z = $ + P_MobjFlip(FavsThok)*p.Fav_EliminationTransition*FavsThok.scale*2
				FavsThok.angle = R_PointToAngle2(FavsThok.x, FavsThok.y, p.mo.x, p.mo.y) // Face the player in disappointment
				
				//swap the sprites to what we want!
				FavsThok.sprite = SPR_E_01
				local distancecheck
				if ghostdist <= 300*FRACUNIT and ghostdist > 150*FRACUNIT
					distancecheck = leveltime/4 % 2
				elseif ghostdist <= 150*FRACUNIT and ghostdist > 50*FRACUNIT
					distancecheck = leveltime/2 % 2
				elseif ghostdist <= 50*FRACUNIT
					distancecheck = leveltime % 2
				end
				
				
				
				if (bdd.overtime == true) then
					if distancecheck == 0
						FavsThok.frame = E
					else
						FavsThok.frame = F
					end
				else
					if distancecheck == 0
						FavsThok.frame = A
					else
						FavsThok.frame = B
					end
				end
				
				//MC'QUEEN IS FADING! FADING FAST!
				if ghostdist >= 300*FRACUNIT
					FavsThok.frame = $|FF_TRANS90|FF_FULLBRIGHT
				elseif ghostdist < 300*FRACUNIT and ghostdist >= 250*FRACUNIT
					FavsThok.frame = $|FF_TRANS80|FF_FULLBRIGHT
				elseif ghostdist < 250*FRACUNIT and ghostdist >= 200*FRACUNIT
					FavsThok.frame = $|FF_TRANS70|FF_FULLBRIGHT
				elseif ghostdist < 200*FRACUNIT and ghostdist >= 150*FRACUNIT
					FavsThok.frame = $|FF_TRANS60|FF_FULLBRIGHT
				elseif ghostdist < 150*FRACUNIT and ghostdist >= 100*FRACUNIT
					FavsThok.frame = $|FF_TRANS50|FF_FULLBRIGHT
				elseif ghostdist < 100*FRACUNIT and ghostdist >= 50*FRACUNIT
					FavsThok.frame = $|FF_TRANS30|FF_FULLBRIGHT
				elseif ghostdist < 50*FRACUNIT and ghostdist >= 25*FRACUNIT
					FavsThok.frame = $|FF_TRANS10|FF_FULLBRIGHT
				end
				
				//spawn ORB around where they'd spawn
				if p.Fav_EliminationTransition == (TICRATE/2) - 1
					for i = 0,5
						for i = 1,4
							local ghostPoof = P_SpawnMobjFromMobj(p.mo, P_ReturnThrustX(nil,(angler*i) - FixedAngle((leveltime%359)*FRACUNIT),ghostdist+(25*FRACUNIT)), P_ReturnThrustY(nil,(angler*i) - FixedAngle((leveltime%359)*FRACUNIT),ghostdist+(25*FRACUNIT)), 9*cos(ANG10*leveltime), MT_THOK)
							ghostPoof.momx = p.mo.momx + (P_RandomRange(-10, 10)*FRACUNIT)
							ghostPoof.momy = p.mo.momy + (P_RandomRange(-10, 10)*FRACUNIT)
							ghostPoof.momz = p.mo.momz + (P_RandomRange(-10, 10)*FRACUNIT)
							ghostPoof.fuse = 2*TICRATE
							ghostPoof.destscale = 0
							ghostPoof.scalespeed = FRACUNIT/15
							ghostPoof.frame = $|FF_TRANS10|FF_FULLBRIGHT
							ghostPoof.color = SKINCOLOR_WHITE
						end
					end
				end
							
				FavsThok.fuse = 1
			end
		end
		
		p.Fav_EliminationFXStartup = true
	end
end


--This thinkframe handles player validation and runs the effect
addHook("ThinkFrame", function()
	for p in players.iterate do
		-- if isdedicatedserver and p == server then continue end -- why
		if not (p and p.mo and p.mo.valid) then
			continue
		end
		if p.indanger
			EliminationRingEffect(p)
		end
		
		if not p.indanger and p.Fav_EliminationFXStartup
			if leveltime > TICRATE -- make sure nothing shows up on the start of a new round
				if bdd.oldjackpot == 999
					for i = 1,8
						local angler = ANGLE_45
						local FavsThok = P_SpawnMobjFromMobj(p.mo, P_ReturnThrustX(nil,(angler*i) - FixedAngle((leveltime%359)*FRACUNIT),p.Fav_Ghostdist+(25*FRACUNIT)), P_ReturnThrustY(nil,(angler*i) - FixedAngle((leveltime%359)*FRACUNIT),p.Fav_Ghostdist+(25*FRACUNIT)), 9*cos(ANG10*leveltime), MT_THOK)
						FavsThok.state = S_BDD_GAMEMAKER
						FavsThok.scale = $*2
					end
					S_StartSound(p.mo, sfx_fhgmex)
				else
					for i = 0,5
						for i = 1,4
							local angler = ANGLE_90
							if (bdd.overtime == true) then angler = ANGLE_180 end
							
							local ghostPoof = P_SpawnMobjFromMobj(p.mo, P_ReturnThrustX(nil,(angler*i) - FixedAngle((leveltime%359)*FRACUNIT),p.Fav_Ghostdist+(25*FRACUNIT)), P_ReturnThrustY(nil,(angler*i) - FixedAngle((leveltime%359)*FRACUNIT),p.Fav_Ghostdist+(25*FRACUNIT)), 9*cos(ANG10*leveltime), MT_THOK)
							ghostPoof.momx = p.mo.momx + (P_RandomRange(-10, 10)*FRACUNIT)
							ghostPoof.momy = p.mo.momy + (P_RandomRange(-10, 10)*FRACUNIT)
							ghostPoof.momz = p.mo.momz + (P_RandomRange(-10, 10)*FRACUNIT)
							ghostPoof.fuse = 2*TICRATE
							ghostPoof.destscale = 0
							ghostPoof.scalespeed = FRACUNIT/15
							ghostPoof.frame = $|FF_TRANS10|FF_FULLBRIGHT
							ghostPoof.color = SKINCOLOR_WHITE
						end
					end
					S_StartSound(p.mo, sfx_s3k92)
				end
			end
			
			p.Fav_EliminationFXStartup = false
			p.Fav_EliminationTransition = 0
		end
	end
end)