--    )         (                (          
-- ( /(    (    )\ )             )\ )   (   
-- )\())  ))\  (()/(    (   (   (()/(  ))\  
--((_)\  /((_)  ((_))   )\  )\   ((_))/((_) 
--| |(_)(_))(   _| |   ((_)((_)  _| |(_))   
--| ' \ | || |/ _` |  / _|/ _ \/ _` |/ -_)  
--|_||_| \_,_|\__,_|  \__|\___/\__,_|\___| 

-- redone REDO by haya, aka that guy who plays blue archive
-- yes, you can yell at this too
-- hey dont forget about me and logan - aqua :(

-- For the X overlay on icons
-- Yes they're real now. Hopefully. Not yet at the time of writing this.
-- update: they're real now - Aqua
local FACE_X = 9
local FACE_Y = 92

-- Why does this function exist?
-- In 2.3 hud enable/disable offsets were off by one after position
-- Fucking....
local DBU_HUDToggleOffset = DBU_HUDToggleOffset -- caching !!!!!!

-- Lets determine when to show and hide hud stuff for race.
hud.add(function (v, p)
	if gametype == GT_BDD and bdd.numplayers > 1 and (mapheaderinfo[gamemap].typeoflevel != 0) then -- only run when if bdd is active, AND if there's more than one player
		--Disable some hud stuff.
		--TODO: Disable Hud stuff for splitscreen (if i can find it)
		hud.disable("gametypeinfo") -- Lap counter - We aren't racing for laps
		hud.disable("time") -- Timer - We'll be replacing it with something for the mod
		-- Hide specific hud elements during tally
		if bdd.gameover then
			hud.disable(DBU_HUDToggleOffset("minirankings"))
			hud.disable("position")
			hud.disable(DBU_HUDToggleOffset("speedometer"))
		else
			hud.enable(DBU_HUDToggleOffset("minirankings"))
			hud.enable("position")
			hud.enable(DBU_HUDToggleOffset("speedometer"))
		end
	else
		hud.enable("gametypeinfo")
		hud.enable("time")
		hud.enable(DBU_HUDToggleOffset("minirankings"))
		hud.enable("position")
		hud.enable(DBU_HUDToggleOffset("speedometer"))
	end
end)

-- SPLITSCREEN BULLSHIT --
local falsesplitscreen = 0

-- Dont wanna change shit, also cache shit
local DBU_SplitscreenFUCK = DBU_SplitscreenFUCK
local DBU_TallyHallOffset = DBU_TallyHallOffset
local BDD_SplitscreenFUCK = function(v,c,x,y,scr) return DBU_SplitscreenFUCK(v,c,x,y,scr,falsesplitscreen) end
local BDD_TallyHallOffset = function(v,scr) return DBU_TallyHallOffset(v,bdd.gameovertime,scr,TICRATE/4) end
local DBU_UpdateSplitscreen = DBU_UpdateSplitscreen

-- Let's not hurt people's eyes, actually
local reducedvfx = nil

-- BDD_TimerHUD(v, p, c)
-- Draws the timer hud to the screen.
-- v - Drawer
-- p - Player
-- c - Camera
local function BDD_TimerHUD(v, p, c)
	-- Alone?
	if bdd.numplayers <= 1 then return end
	if mapheaderinfo[gamemap].typeoflevel == 0 then return end
	
	-- 3/4p splitscreen- do not redraw
	if falsesplitscreen > 1 and c.pnum != (falsesplitscreen+1) then return end
	local viewnum = c.pnum - 1
	
	-- Timer colors
	local timercolor = bdd.maintimercolor
	-- is this a hack - aqua
	if bdd.duelmode then timercolor = p.skincolor end
	local lettercolor = bdd.mainlettercolor
	
	-- Colormap skin type hack:tm:
	local TC_CMAPHACK = v.splitscreen and TC_DEFAULT or 0
	
	-- Determines when the timer blinks to red
	if leveltime >= (starttime + ((bdd.currealpregame * TICRATE) / 2))
		and leveltime < (starttime + ((bdd.currealpregame * TICRATE) / 2) + 16)
		or p.indanger then
		-- Slow flashing of the colors for when the player is in danger
		if p.indanger then
			if leveltime % 16 < 8 or reducedvfx.value then
				timercolor = bdd.paniccolor
				lettercolor = bdd.paniccolor
			else
				timercolor = bdd.maintimercolor
				if bdd.duelmode then timercolor = p.skincolor end
				lettercolor = bdd.mainlettercolor
			end
		-- Otherwise, quickly flash for a moment.
		else
			if leveltime % 2 == 0 and not reducedvfx.value then
				timercolor = bdd.paniccolor
				lettercolor = bdd.paniccolor
			else
				timercolor = bdd.maintimercolor
				if bdd.duelmode then timercolor = p.skincolor end
				lettercolor = bdd.mainlettercolor
			end
		end
	end
	
	-- Regular gameplay hud elements
	local overtimebomb = bdd.hudovertimebomb[((leveltime / 8) % 2) + 1]
	local overtimebombflash = bdd.hudovertimebombflash[((leveltime / 8) % 2) + 1]
	local overtimetext = reducedvfx.value and bdd.hudovertimetext[2] or bdd.hudovertimetext[((leveltime / 8) % 2) + 1]
	local panicbomb = bdd.hudpanicbomb[((leveltime / 8) % 2) + 1]
	local hudbomb = bdd.hudbomb[((leveltime / 8) % 2) + 1]
	
	-- Duel mode elements
	local duelovertimebomb = bdd.duelhudovertimebomb[((leveltime / 8) % 2) + 1]
	local duelovertimebombflash = bdd.duelhudovertimebombflash[((leveltime / 8) % 2) + 1]
	local duelpanicbomb = bdd.duelhudpanicbomb[((leveltime / 8) % 2) + 1]
	local duelhudbomb = bdd.duelhudbomb[((leveltime / 8) % 2) + 1]
	
	-- Flagger
	local timeflags = V_HUDTRANS | V_SLIDEIN | V_SNAPTORIGHT | V_SNAPTOTOP
	local tallyoffset = BDD_TallyHallOffset(v, timeflags) / FRACUNIT
	
	-- tiny ahh timer
	local derbyrealtime = 0
	if leveltime < starttime then derbyrealtime = 0 else derbyrealtime = leveltime - starttime end
	if bdd.gameovertime then -- stall the timer
		derbyrealtime = $ - bdd.gameovertime -- stall 
	end
	
	-- Timer for how long the match has lasted
	local realtimemin = G_TicsToMinutes(derbyrealtime)
	local realtimesec = G_TicsToSeconds(derbyrealtime)
	local realtimetotalsecs = derbyrealtime / TICRATE -- for splitscreen
	local realtimems = G_TicsToMilliseconds(derbyrealtime) / 10
	
	-- Timer variables for duel mode
	local yourtime = 0
	local theirtime = 0
	local theircolor = 0
	local theirdanger = 0
	
	-- Only loop this if you're in duel mode
	if bdd.duelmode then
		yourtime = p.bdddueltime and p.bdddueltime or 0
		-- Since p.bddduelpartner is a player, it'll throw a warning if the player leaves. Check if they're valid
		if not p.bddduelpartner then return end
		if p.bddduelpartner.valid then
			theirtime = p.bddduelpartner.bdddueltime and p.bddduelpartner.bdddueltime or 0
			theircolor = p.bddduelpartner.skincolor and p.bddduelpartner.skincolor or 0
			theirdanger = p.bddduelpartner.indanger and p.bddduelpartner.indanger or 0
		end
	end
	
	-- Timer for how long the bomb is going to last
	local isitduelornot = bdd.gametimer
	if bdd.starting or bdd.breaktime == true or bdd.overtime == true then theirtime = bdd.gametimer end
	-- i am not smarting right now DONT JUDGE ME.
	if not bdd.starting and bdd.breaktime == false and bdd.overtime == false then
		if bdd.duelmode then
			isitduelornot = yourtime and yourtime or 0
		end
	end 
	local timemin = G_TicsToMinutes(isitduelornot)
	local timesec = G_TicsToSeconds(isitduelornot)
	local timetotalsecs = isitduelornot / TICRATE -- For splitscreen
	local timems = G_TicsToMilliseconds(isitduelornot) / 10
	
	local theirtimemin = G_TicsToMinutes(theirtime)
	local theirtimesec = G_TicsToSeconds(theirtime)
	local theirtimetotalsecs = (theirtimemin * 60) + theirtimesec -- For splitscreen
	local theirtimems = G_TicsToMilliseconds(theirtime) / 10

	if falsesplitscreen then
		local curtime = string.format("%03d", timetotalsecs)
		local theirtime = string.format("%03d", theirtimetotalsecs)
		local idx = ((leveltime % 16 < 8) and bdd.overtime) and 2 or 1
		-- 2 player
		if falsesplitscreen == 1 then
			local realtime = string.format("%03d", realtimetotalsecs)
			if viewnum == 1 then timeflags = ($ & ~V_SNAPTOTOP) | V_SNAPTOBOTTOM end
			local y = viewnum == 0 and 33 or 156
			-- Bomb timer
			local bomgraph = bdd.hudbomb2p[idx]
			local cmap = nil
			local bomx = 286 + tallyoffset
			local yoffs = 0
			if bdd.duelmode then
				cmap = v.getColormap(TC_CMAPHACK, p.skincolor)
				if p.indanger then 
					bomgraph = (leveltime % 16 < 8 or reducedvfx.value) and "BD2_BM22" or "BD2_BM21"
					if (leveltime % 16 < 8 or reducedvfx.value) then cmap = nil end
				else bomgraph = "BD2_BM20" end
				bomx = 283 + tallyoffset
				yoffs = -3
			end
			v.draw(bomx, y+yoffs, v.cachePatch(bomgraph), timeflags, cmap)
			customhud.CustomFontString(v, 287+12 + tallyoffset, y+2, curtime, "OPPRF", timeflags, 0, nil, 0)
			y = $ + (viewnum == 0 and 12 or -12)
			-- Round timer/Duel Partner bomb timer
			bomgraph = "K_STTIMS"
			cmap = nil
			bomx = 287 + tallyoffset
			yoffs = 0
			if bdd.duelmode then
				cmap = v.getColormap(TC_CMAPHACK, theircolor)
				if theirdanger then 
					bomgraph = (leveltime % 16 < 8 or reducedvfx.value) and "BD2_BM22" or "BD2_BM21"
					if (leveltime % 16 < 8 or reducedvfx.value) then cmap = nil end
				else bomgraph = "BD2_BM20" end
				bomx = 283 + tallyoffset
				yoffs = -3
			end
			v.draw(bomx, y+yoffs, v.cachePatch(bomgraph), timeflags, cmap)
			customhud.CustomFontString(v, 287+12 + tallyoffset, y+2, bdd.duelmode and theirtime or realtime, "OPPRF", timeflags, 0, nil, 0)
		-- 4 player
		else
			timeflags = V_HUDTRANS | V_SLIDEIN
			local tallyoffsettop = BDD_TallyHallOffset(v, timeflags | V_SNAPTOTOP) / FRACUNIT
			local tallyoffsetbottom = BDD_TallyHallOffset(v, timeflags | V_SNAPTOBOTTOM) / FRACUNIT
			v.draw(137+6, 0+tallyoffsettop, v.cachePatch(bdd.hudbomb2p[idx]), timeflags | V_SNAPTOTOP)
			v.draw(137+6, 200 - v.cachePatch(bdd.hudbomb2p[idx]).height+tallyoffsetbottom, v.cachePatch(bdd.hudbomb2p[idx]), timeflags | V_SNAPTOBOTTOM)
			customhud.CustomFontString(v, 151+6, 2+tallyoffsettop, curtime, "OPPRF", timeflags | V_SNAPTOTOP, 0, nil, 0)
			customhud.CustomFontString(v, 151+6, 190+tallyoffsetbottom, curtime, "OPPRF", timeflags | V_SNAPTOBOTTOM, 0, nil, 0)
		end
		
		return
	end
	
	-- Draw the base timer graphic.
	v.draw(174 + tallyoffset, 2, v.cachePatch("BDD_TIMB"), timeflags, v.getColormap(TC_CMAPHACK, timercolor))
	
	-- ADDITIONAL INDICATORS --
	-- Pregame
	if bdd.starting then
		v.draw(201 + tallyoffset, 1, v.cachePatch("BDD_PRGA"), timeflags)
		if bdd.duelmode then
			v.draw(170 + tallyoffset, 0, v.cachePatch("BDD_BM20"), timeflags, v.getColormap(TC_CMAPHACK, timercolor))
		else
			v.draw(170 + tallyoffset, 0, v.cachePatch("BDD_BMB0"), timeflags)
		end
	-- Break time
	elseif bdd.breaktime then
		if bdd.duelmode then
			v.draw(170 + tallyoffset, 0, v.cachePatch("BDD_BM20"), timeflags, v.getColormap(TC_CMAPHACK, timercolor))
		else
			v.draw(170 + tallyoffset, 0, v.cachePatch("BDD_BMB0"), timeflags)
		end
	-- overtime timer w/ overtime bomb
	elseif bdd.overtime == true then
		v.draw(191 + tallyoffset, 1, v.cachePatch(overtimetext), timeflags)
		if leveltime % 16 < 8 or reducedvfx.value then
			v.draw(170 + tallyoffset, 0, v.cachePatch(overtimebombflash), timeflags)
		else
			-- Duel mode check
			if bdd.duelmode then
				v.draw(170 + tallyoffset, 0, v.cachePatch(duelovertimebomb), timeflags, v.getColormap(TC_CMAPHACK, timercolor))
			else
				v.draw(170 + tallyoffset, 0, v.cachePatch(overtimebomb), timeflags)
			end
		end
	-- panic timer
	elseif p.indanger == true then
		if leveltime % 16 < 8 or reducedvfx.value then
			v.draw(170 + tallyoffset, 0, v.cachePatch(panicbomb), timeflags)
		else
			-- Duel mode check
			if bdd.duelmode then
				v.draw(170 + tallyoffset, 0, v.cachePatch(duelhudbomb), timeflags, v.getColormap(TC_CMAPHACK, timercolor))
			else
				v.draw(170 + tallyoffset, 0, v.cachePatch(hudbomb), timeflags)
			end
		end
	-- Normal
	else
		-- Duel mode check
		if bdd.duelmode then
			-- It wouldn't make sense for it to keep flashing if you're in first
			v.draw(170 + tallyoffset, 0, v.cachePatch("BDD_BM20"), timeflags, v.getColormap(TC_CMAPHACK, timercolor))
		else
			v.draw(170 + tallyoffset, 0, v.cachePatch(hudbomb), timeflags)
		end
	end	
	
	-- Draw the actual timer
	local curtime = string.format("%02d\'%02d\"%02d", timemin, timesec, timems) 
	-- strokin on mah d till i custom string drawer
	customhud.CustomFontString(v, 205 + tallyoffset, 12, curtime, "BDFNT", timeflags, 0, nil, lettercolor)
	
	-- The singleplayer real timer doesn't exist in duel mode.
	-- Tell the player about the opponent instead.
	if bdd.duelmode then
		local realtime = string.format("%02d\'%02d\"%02d", theirtimemin, theirtimesec, theirtimems)
		if theirdanger == true then
			if leveltime % 16 < 8 or reducedvfx.value then
				v.draw(235 + tallyoffset, 30, v.cachePatch("BD2_TIME"), timeflags, v.getColormap(TC_CMAPHACK, bdd.paniccolor))
				v.draw(233 + tallyoffset, 23, v.cachePatch("BD2_BM22"), timeflags)
			else
				v.draw(235 + tallyoffset, 30, v.cachePatch("BD2_TIME"), timeflags, v.getColormap(TC_CMAPHACK, theircolor))
				v.draw(233 + tallyoffset, 23, v.cachePatch("BD2_BM21"), timeflags, v.getColormap(TC_CMAPHACK, theircolor))
			end
		else
			v.draw(235 + tallyoffset, 30, v.cachePatch("BD2_TIME"), timeflags, v.getColormap(TC_CMAPHACK, theircolor))
			v.draw(233 + tallyoffset, 23, v.cachePatch("BD2_BM20"), timeflags, v.getColormap(TC_CMAPHACK, theircolor))
		end
		customhud.CustomFontString(v, 250 + tallyoffset, 29, realtime, "OPPRF", timeflags, 0, nil, 0)
	-- Otherwise, just draw the timer.
	else
		local realtime = string.format("%02d\'%02d\"%02d", realtimemin, realtimesec, realtimems)
		v.draw(235 + tallyoffset, 30, v.cachePatch("BDD_TIME"), timeflags)
		v.draw(235 + tallyoffset, 27, v.cachePatch("K_STTIMS"), timeflags)
		customhud.CustomFontString(v, 250 + tallyoffset, 29, realtime, "OPPRF", timeflags, 0, nil, 0)
	end
end

-- " One single thing to prevent slade from acting stupid

-- BDD_Bordar(v, p, c)
-- Displays the border around the screen when in danger.
-- v - Drawer
-- p - Player
-- c - Camera
local function BDD_Bordar(v, p, c)
	-- Alone?
	if bdd.numplayers <= 1 then return end
	
	-- Are we in a level with no type (Test Run)?
	if mapheaderinfo[gamemap].typeoflevel == 0 then return end

	-- Not in the verge of death
	if not p.indanger then return end
	
	local splitscr = falsesplitscreen
	
	-- do different shit here on 3/4p
	if splitscr > 1 then
		-- Colormap skin type hack:tm:
		local TC_CMAPHACK = v.splitscreen and TC_DEFAULT or 0
		
		-- Default positions....
		local BORDER_LEFT = 0
		local BORDER_RIGHT = 320/2
		local BORDER_BOTTOM = 200/2
		local BORDER_TOP = 0
		local BORDER_CENTERX = 320/4
		local BORDER_CENTERY = 200/4
		local _ = 0
		local splitflags = V_20TRANS
		local left4pflags = V_SNAPTOLEFT | splitflags
		local right4pflags = V_SNAPTORIGHT | splitflags | V_FLIP
		local shitflags = V_SNAPTOTOP | V_SNAPTOLEFT
		
		-- portable niyaniya
		BORDER_LEFT, BORDER_BOTTOM = BDD_SplitscreenFUCK(v, c, BORDER_LEFT<<FRACBITS, BORDER_BOTTOM<<FRACBITS, left4pflags | V_SNAPTOBOTTOM)
		BORDER_RIGHT, BORDER_TOP = BDD_SplitscreenFUCK(v, c, BORDER_RIGHT<<FRACBITS, BORDER_TOP<<FRACBITS, right4pflags | V_SNAPTOTOP)
		BORDER_CENTERX, BORDER_CENTERY = BDD_SplitscreenFUCK(v, c, BORDER_CENTERX<<FRACBITS, BORDER_CENTERY<<FRACBITS)
		-- What is this bullshit
		left4pflags = $ | V_SNAPTOTOP
		right4pflags = ($ & ~V_SNAPTORIGHT) | shitflags
		
		-- pathchgjshfd
		local warningpatchtop = v.cachePatch(bdd.warning4ptop)
		local warningpatchbottom = v.cachePatch(bdd.warning4pbottom)
		local warningpatchmid = v.cachePatch(bdd.warning4pmid)
		local warningpatchtext = v.cachePatch(reducedvfx.value and "BDD_STX0" or bdd.warning4ptext[((leveltime / 8) % 2) + 1])
		
		-- bottom left
		v.drawScaled(BORDER_LEFT, BORDER_BOTTOM, FRACUNIT, warningpatchbottom, left4pflags, v.getColormap(TC_CMAPHACK, SKINCOLOR_RED))
		-- bottom right
		v.drawScaled(BORDER_RIGHT, BORDER_BOTTOM, FRACUNIT, warningpatchbottom, right4pflags, v.getColormap(TC_CMAPHACK, SKINCOLOR_RED))
		-- top left
		v.drawScaled(BORDER_LEFT, BORDER_TOP, FRACUNIT, warningpatchtop, left4pflags, v.getColormap(TC_CMAPHACK, SKINCOLOR_RED))
		-- top right
		v.drawScaled(BORDER_RIGHT, BORDER_TOP, FRACUNIT, warningpatchtop, right4pflags, v.getColormap(TC_CMAPHACK, SKINCOLOR_RED))
		
		-- fckcibng text
		v.drawScaled(BORDER_CENTERX - (48<<FRACBITS), BORDER_BOTTOM, FRACUNIT, warningpatchmid, splitflags | shitflags, v.getColormap(TC_CMAPHACK, SKINCOLOR_RED))
		v.drawScaled(BORDER_CENTERX - (48<<FRACBITS), BORDER_BOTTOM, FRACUNIT, warningpatchtext, splitflags | shitflags, v.getColormap(TC_CMAPHACK, SKINCOLOR_RED))
		return
	end
	
	-- DEFS for hud elements.
	-- TODO: Defs for splitscreen 
	local warningpatchtop = v.cachePatch(reducedvfx.value and bdd.warningpatchtop[2] or bdd.warningpatchtop[((leveltime / 2) % 5) + 1])
	local warningpatchbottom = v.cachePatch(reducedvfx.value and bdd.warningpatchbottom[2] or bdd.warningpatchbottom[((leveltime / 2) % 5) + 1])
	local warningpatchmid = v.cachePatch(reducedvfx.value and bdd.warningpatchmid[2] or bdd.warningpatchmid[((leveltime / 2) % 5) + 1])
	local warningpatchtext = v.cachePatch(reducedvfx.value and bdd.warningpatchtext[1] or bdd.warningpatchtext[((leveltime / 8) % 2) + 1])
	
	local BORDER_BOTTOM = 200
	local BORDER_TOP = 0
	local BASEVIDWIDTH = 320<<FRACBITS
	local SCREEN_CENTER = BASEVIDWIDTH/2
	local _ = 0
	
	-- Handle splitscreen positioning
	if splitscr then -- splitscreen
		BORDER_BOTTOM = $ / 2 -- yeah no
	end
	
	_, BORDER_BOTTOM = BDD_SplitscreenFUCK(v, c, 0, BORDER_BOTTOM<<FRACBITS, V_SNAPTOLEFT|V_SNAPTOBOTTOM)
	BASEVIDWIDTH, BORDER_TOP = BDD_SplitscreenFUCK(v, c, BASEVIDWIDTH, BORDER_TOP<<FRACBITS, V_SNAPTOTOP|V_SNAPTORIGHT)
	SCREEN_CENTER = BASEVIDWIDTH/2
	local shitflags = V_SNAPTOTOP | V_SNAPTOLEFT
	
	-- Colormap skin type hack:tm:
	local TC_CMAPHACK = v.splitscreen and TC_DEFAULT or 0
	
	v.drawScaled(SCREEN_CENTER, BORDER_BOTTOM, FRACUNIT, warningpatchmid, V_20TRANS | shitflags, v.getColormap(TC_CMAPHACK, SKINCOLOR_RED))
	v.drawScaled(SCREEN_CENTER, BORDER_BOTTOM, FRACUNIT, warningpatchtext, shitflags)
	--bottom
	v.drawScaled(0, BORDER_BOTTOM, FRACUNIT, warningpatchbottom, V_20TRANS | shitflags, v.getColormap(TC_CMAPHACK, SKINCOLOR_RED))
	v.drawScaled(BASEVIDWIDTH, BORDER_BOTTOM, FRACUNIT, warningpatchbottom, V_FLIP | V_20TRANS | shitflags, v.getColormap(TC_CMAPHACK, SKINCOLOR_RED))
	--top 
	v.drawScaled(0, BORDER_TOP, FRACUNIT, warningpatchtop, V_20TRANS | shitflags, v.getColormap(TC_CMAPHACK, SKINCOLOR_RED))
	v.drawScaled(BASEVIDWIDTH, BORDER_TOP, FRACUNIT, warningpatchtop, V_FLIP | V_20TRANS | shitflags, v.getColormap(TC_CMAPHACK, SKINCOLOR_RED))
end

-- BDD_Messages(v, p, c)
-- Displays the messages when someone detonates.
-- v - Drawer
-- p - Player
-- c - Camera
local function BDD_Messages(v, p, c)
	-- flagger, again
	local messageflags = V_SNAPTOBOTTOM
	local fx, fy = 160, 190 -- Used for the subtext position
	local posx, posy = 160, 180 -- Used for the text position
	
	-- splitscreen lmaower
	if falsesplitscreen then
		-- These should go into the center of the screen regardless
		posx, posy = 160, 90
		fx, fy = 160, 100
		-- No need to snap to bottom if it's in the middle of the screen now
		messageflags = 0
	end
	-- Announce a death
	if bdd.deathmessagetimer > 0 then
		-- Tell whether or not someone specced before the pregame.
		if not bdd.didsomeoneragequit and not bdd.didsomeoneleave then
			customhud.CustomFontString(v, posx, posy, string.format("%s has detonated!", bdd.lastdied), "MNUFN", messageflags, "center", nil, 0)
			v.drawString(fx, fy, string.format(bdd.wittymessages[bdd.funnyvalue], bdd.lastdied, bdd.lastdied), messageflags, "thin-center")
		elseif bdd.didsomeoneleave then
			customhud.CustomFontString(v, posx, posy, string.format("%s has left!", bdd.lastdied), "MNUFN", messageflags, "center", nil, 0)
			v.drawString(fx, fy, "See you for now!", V_SNAPTOBOTTOM, "thin-center")
		else
			customhud.CustomFontString(v, posx, posy, string.format("%s has forfeited!", bdd.lastdied), "MNUFN", messageflags, "center", nil, 0)
			v.drawString(fx, fy, string.format(bdd.forfeitmessages[bdd.funnyvalue], bdd.lastdied, bdd.lastdied), messageflags, "thin-center")
		end
		-- Never decrement timers in HUD code. They run every frame.
		-- bdd.deathmessagetimer = bdd.deathmessagetimer - 1
	end
	-- Waiting...
	if bdd.numplayers <= 1 or mapheaderinfo[gamemap].typeoflevel == 0 then
		customhud.CustomFontString(v, posx, posy, "Waiting for players...", "MNUFN", messageflags, "center", nil, 0)
		if not p.spectator then
			v.drawString(fx, fy, string.format(bdd.waitmessages[bdd.waitvalue], bdd.lastdied), messageflags, "thin-center")
		else
			v.drawString(fx, fy, "Jump right in! They're waiting for you!", messageflags, "thin-center")
		end
	end
end

-- sortfunc(a, b)
-- Checks to see if the first person is in a lower position than the second.
-- a - The first player
-- b - The second player
-- returns a boolean
local function sortfunc(a, b)
	return a.position < b.position
end

-- BDD_MiniRankings(v, p, c)
-- X marks the spot!
-- v - Drawer
-- p - Player
-- c - Camera
local function BDD_MiniRankings(v, p, c)
	-- No need to bother in splitscreen since minirankings dont exist in splitscreen
	if falsesplitscreen then return end -- 2.4+ / HEP3
	if bdd.numplayers <= 1 then return end
	if mapheaderinfo[gamemap].typeoflevel == 0 then return end
	
	-- MRP anyone
	local playersingame = {}

	for q in players.iterate do
		if not DBU_FuckerIsValid(q) then continue end
		playersingame[#playersingame+1] = q
	end

	table.sort(playersingame, sortfunc)
	
	local displaypos = 0
	for i, k in ipairs(playersingame) do
		if k == p then
			displaypos = i
			break
		end
	end
	
	local rankcenter = 3
	if #playersingame > 5 then
		rankcenter = min(max(3, displaypos), #playersingame-2)
	end
	
	local Y = FACE_Y-9
	Y = $ + (9*min(5, bdd.numplayers))
	local tallyoffset = BDD_TallyHallOffset(v, V_HUDTRANS|V_SLIDEIN|V_SNAPTOLEFT) / FRACUNIT
	
	-- This is in reverse lmao
	for i=2,-2,-1 do
		if not (playersingame[rankcenter+i] and playersingame[rankcenter+i].valid) then continue end
		-- show when eliminated
		local ypos = (FACE_Y+(i*18)+(max(0, 5-#playersingame)*9))
		if bdd.gameover then -- show dummy portraits
			local mmap = v.getSprite2Patch(p.skin, "XTRA", false, A, 0, 0)
			local cmap = v.getColormap(p.skin, p.mo.color)
			v.draw(FACE_X+tallyoffset, ypos, mmap, V_HUDTRANS|V_SLIDEIN|V_SNAPTOLEFT, cmap)
		end
		if (playersingame[rankcenter+i].pflags & PF_ELIMINATED) then
			v.draw(FACE_X-1+tallyoffset, ypos-1, v.cachePatch("BDD_MARK"), V_HUDTRANS|V_SLIDEIN|V_SNAPTOLEFT)
		end
		-- redraw the position number since its being cockblocked by the x marker
		v.draw(FACE_X-5+tallyoffset, ypos+10, v.cachePatch(string.format("OPPRNK%02d", playersingame[rankcenter+i].position)), V_HUDTRANS|V_SLIDEIN|V_SNAPTOLEFT)
	end
end

-- BDD_Out(v, p, c)
-- Displays the OUT!!! lights when getting detonated.
-- v - Drawer
-- p - Player
-- c - Camera
local function BDD_Out(v, p, c)
	if bdd.numplayers <= 1 then return end -- Don't run this if there's only one player
	if mapheaderinfo[gamemap].typeoflevel == 0 then return end -- Don't run this if we're in Test Run
	if p.bddouttimer == nil then return end -- for some fucking reason this goes to nil when the map starts up and it breaks
	if p.bddouttimer <= 0 then return end -- uh
	if bdd.gameover == true then return end -- Do not display this if the game's over
	
	-- If splitscreen is not available, then simply default to 0
	local splitscr = falsesplitscreen
	local splitflags = V_SNAPTOTOP|V_SNAPTOLEFT -- The BDD_SplitscreenFUCK handles snapping, so just default to top right. always.
	
	local pnum = ((p.bddouttimer % (2 * 5)) / 5) and 1 or 2
	local patch = v.cachePatch((splitscr > 1) and bdd.out4p[pnum] or (splitscr == 0) and bdd.out1p[pnum] or bdd.out2p[pnum])
	
	local OUT_X = 320/2
	local OUT_Y = 200/2
	
	-- Handle splitscreen positioning
	if splitscr then -- splitscreen
		OUT_Y = 200/4
		if splitscr > 1 then  -- 3/4p
			OUT_X = 320/4
		end
	end
	
	-- Killing everyone
	OUT_X, OUT_Y = BDD_SplitscreenFUCK(v, c, OUT_X<<FRACBITS, OUT_Y<<FRACBITS)
	
	-- 3/4p, stationary (2.3)
	if splitscr > 1 then 
		-- oh hey we can ignore scrolling for now
		v.drawScaled(OUT_X - ((patch.width/2)<<FRACBITS), OUT_Y - ((patch.height/2)<<FRACBITS), FRACUNIT, patch, splitflags)
		return
	end
	
	-- scroll !
	local x, xval, pwidth = 0, 0, 0
	x = (v.width()<<FRACBITS)/v.dupx()
	xval = patch.width<<FRACBITS
	pwidth = max(xval, x)
	x = ((TICRATE - p.bddouttimer) * pwidth) / TICRATE
	
	-- no interp :(
	v.drawScaled(x + (OUT_X - ((patch.width/2)<<FRACBITS)), OUT_Y - ((patch.height/2)<<FRACBITS), FRACUNIT, patch, splitflags)
end

-- BDD_Bonus(v, p, c)
-- Displays the bonus given to a player.
-- v - Drawer
-- p - Player
-- c - Camera
local function BDD_Bonus(v, p, c)
	if p.pflags & PF_NOCONTEST then return end -- Don't run this if you're FUCKING DEAD
	if bdd.gameover == true then return end -- Don't run this if the game is over
	
	local splitscr = falsesplitscreen
	
	local patch = 0 -- What are we drawing to the screen?
	
	-- A bunch of things determining what patch to use
	-- It explains itself, really.
	if bdd.duelmode then
		if splitscr > 0 then
			patch = v.cachePatch("BDD_TBM0")
			-- The 1 out of 100 doilus chance
			if bdd.doilus == 100 then
				patch = v.cachePatch("BDD_TBM1")
			end
		else
			patch = v.cachePatch("BDD_TBN0")
			-- The 1 out of 100 doilus chance
			if bdd.doilus == 100 then
				patch = v.cachePatch("BDD_TBN1")
			end
		end
	else
		if splitscr > 0 then
			patch = v.cachePatch("BDD_RBM0")
			-- The 1 out of 100 doilus chance
			if bdd.doilus == 100 then
				patch = v.cachePatch("BDD_RBM1")
			end
		else
			patch = v.cachePatch("BDD_RBN0")
			-- The 1 out of 100 doilus chance
			if bdd.doilus == 100 then
				patch = v.cachePatch("BDD_RBN1")
			end
		end
	end
	
	-- Colormap skin type hack:tm:
	local TC_CMAPHACK = v.splitscreen and TC_DEFAULT or 0
	
	-- Only for proper races; should never show up in duel
	if not bdd.duelmode then
		if bdd.deathmessagetimer == 0 then return end -- Don't run this if the death message timer isn't active
		if p.bddringpayout == 0 then return end -- Don't run this if you have no Doilus
		if splitscr > 0 then
			local coordx = 160 - (patch.width / 2)
			local coordy = 30
			
			if splitscr > 1 then
				coordx = 80 - (patch.width / 2)
			end
			
			local graphicx, graphicy = BDD_SplitscreenFUCK(v, c, coordx * FRACUNIT, coordy * FRACUNIT)
			local textx, texty = BDD_SplitscreenFUCK(v, c, (coordx + (patch.width / 2)) * FRACUNIT, (coordy + 10) * FRACUNIT)
			
			-- Only show this for 1 second
			if bdd.deathmessagetimer > 4 * TICRATE then
				local i = ((5 * TICRATE) - bdd.deathmessagetimer + 1) / 4 -- Funny math to move it upwards
				if bdd.deathmessagetimer > (4 * TICRATE) + (TICRATE / 2) or bdd.deathmessagetimer % 2 then
					v.drawStretched(graphicx, (graphicy - (i * FRACUNIT)),
									FRACUNIT, FRACUNIT,
									patch, V_HUDTRANS, v.getColormap(TC_CMAPHACK, p.skincolor))
					v.drawString(textx / FRACUNIT, (texty / FRACUNIT) - i, "+" .. tostring(p.bddringpayout), V_HUDTRANS, "thin-center")
				end
			end
		else
			-- Only show this for 1 second
			if bdd.deathmessagetimer > 4 * TICRATE then
				local i = ((5 * TICRATE) - bdd.deathmessagetimer + 1) / 4 -- Funny math to move it upwards
				if bdd.deathmessagetimer > (4 * TICRATE) + (TICRATE / 2) or bdd.deathmessagetimer % 2 then
					v.drawStretched((160 - (patch.width / 2)) * FRACUNIT, (70 - i) * FRACUNIT,
									FRACUNIT, FRACUNIT,
									patch, V_HUDTRANS, v.getColormap(TC_CMAPHACK, p.skincolor))
					customhud.CustomFontString(v, 150, 88 - i, "+" .. tostring(p.bddringpayout), "OPPRF", 0, V_HUDTRANS, nil, 0)
				end
			end
		end
	-- Duel mode's time bonus
	else
		if bdd.bonustimer == 0 then return end -- Don't run this if the time bonus timer isn't active (does that make any sense?)
		
		if splitscr > 0 then
			local coordx = 160 - (patch.width / 2)
			local coordy = 30
			
			local graphicx, graphicy = BDD_SplitscreenFUCK(v, c, coordx * FRACUNIT, coordy * FRACUNIT)
			local textx, texty = BDD_SplitscreenFUCK(v, c, (coordx + (patch.width / 2)) * FRACUNIT, (coordy + 10) * FRACUNIT)
			
			-- Only show this for 1 second
			if bdd.bonustimer > 0 and p.name == bdd.lastdied then
				local i = (TICRATE - bdd.bonustimer + 1) / 4 -- Funny math to move it upwards
				if bdd.bonustimer > (TICRATE / 2) or bdd.bonustimer % 2 then
					v.drawStretched(graphicx, graphicy - (i * FRACUNIT),
									FRACUNIT, FRACUNIT,
									patch, V_HUDTRANS, v.getColormap(TC_CMAPHACK, p.skincolor))
					v.drawString(textx / FRACUNIT, (texty / FRACUNIT) - i, "+" .. tostring(5) .. "\"00", V_HUDTRANS, "thin-center")
				end
			end
		else
			-- Only show this for 1 second
			if bdd.bonustimer > 0 and p.name == bdd.lastdied then
				local i = (TICRATE - bdd.bonustimer + 1) / 4 -- Funny math to move it upwards
				if bdd.bonustimer > (TICRATE / 2) or bdd.bonustimer % 2 then
					v.drawStretched((160 - (patch.width / 2)) * FRACUNIT, (70 - i) * FRACUNIT,
									FRACUNIT, FRACUNIT,
									patch, V_HUDTRANS, v.getColormap(TC_CMAPHACK, p.skincolor))
					customhud.CustomFontString(v, 150, 88 - i, "+" .. tostring(5) .. "\"00", "OPPRF", 0, V_HUDTRANS, nil, 0)
				end
			end
		end
	end
end
	
-- Why isn't this exposed?
local function L_TimeFrac(tics, duration)
	return tics < duration and (tics * FRACUNIT) / duration or FRACUNIT
end

-- BDD_Krill(v, p, c)
-- Displays the tally background, along with any hud elements that need to be recreated to be moved.
-- Does not support splitscreen.
-- v - Drawer
-- p - Player
-- c - Camera
local function BDD_Krill(v, p, c)
	if bdd.numplayers <= 1 then return end -- Don't run this if there's only one player
	if mapheaderinfo[gamemap].typeoflevel == 0 then return end -- Don't run this if we're in Test Run
	if bdd.gameover == false then return end -- Do not display this if the game's NOT over
	
	-- screen fade upon dying
	if bdd.gameovertime > 3*TICRATE then
		local reltime = bdd.gameovertime-3*TICRATE
		local t = L_TimeFrac(max(0, reltime), TICRATE/2)
		local flag = (9 - (FixedMul(4*FRACUNIT, t)/FRACUNIT)) << V_ALPHASHIFT
		v.drawStretched(0, 0, (v.width()/64)*FRACUNIT, (v.height()/64)*FRACUNIT, v.cachePatch("~031"), V_NOSCALESTART|flag, nil)
	end
	
	-- Anything beyond the tally fade will never support splitscreen. Sorry.
	if falsesplitscreen then return end
	local tallyoffset = 0
	
	-- Speedometer
	tallyoffset = BDD_TallyHallOffset(v, V_HUDTRANS|V_SLIDEIN|V_SNAPTOLEFT|V_SNAPTOBOTTOM) / FRACUNIT
	local LAPS_X, LAPS_Y = 9, 200 - 29
end

-- Final HUD hook....
local function hud_hell(v, p, c)
	-- no you dingus
	if gametype ~= GT_BDD then return end
	
	-- Let's not hurt people's eyes, actually
	reducedvfx = $ or CV_FindVar("reducevfx")
	
	falsesplitscreen = DBU_UpdateSplitscreen(v) -- zako zako zako zako
	
	if c.pnum == 1 then -- update local player camera
		bdd.playerCam = c
	end
	
	BDD_Krill(v, p, c) -- Tally background
	
	if falsesplitscreen <= 1 then BDD_TimerHUD(v, p, c) end -- Displays the timer
	BDD_Bordar(v, p, c) -- Displays the border when in danger
	if falsesplitscreen > 1 then BDD_TimerHUD(v, p, c) end -- Ditto, but in front for 4p splitscreen
	BDD_Messages(v, p, c) -- Displays the messages
	BDD_MiniRankings(v, p, c) -- Rankings - Shows Xs
	BDD_Out(v, p, c) -- OUT!!!
	BDD_Bonus(v, p, c) -- Bonus
end

hud.add(hud_hell, "game")